Skip to main content
PATCH
Error

Authorizations

X-API-Key
string
header
required

Headers

customer
string
required

Workspace identifier

Path Parameters

id
string
required

Body

application/json
family_name
string
required

Use an empty string for a user without a family name.

Maximum string length: 255
Example:

"Lovelace"

given_name
string
required
Maximum string length: 255
Example:

"Ada"

Response

200 - application/json
email
string
required
family_name
string
required
given_name
string
required
id
string
required
cognito_id
string
has_profile_picture
boolean
is_bot
boolean
role
enum<string>
Available options:
admin,
editor,
read_only,
external